DataCubeControllerRefreshTransform Method |
PUT /DataCube/RefreshTransform/{id}
Refreshes the elements of the specified transform on a data cube.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPutAttribute]
[ActionNameAttribute("RefreshTransform")]
public IActionResult RefreshTransform(
Guid id,
[FromBodyAttribute] Guid transformId,
Guid? sessionId = null
)<HttpPutAttribute>
<ActionNameAttribute("RefreshTransform")>
Public Function RefreshTransform (
id As Guid,
<FromBodyAttribute> transformId As Guid,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPutAttribute]
[ActionNameAttribute(L"RefreshTransform")]
IActionResult^ RefreshTransform(
Guid id,
[FromBodyAttribute] Guid transformId,
Nullable<Guid> sessionId = nullptr
)
[<HttpPutAttribute>]
[<ActionNameAttribute("RefreshTransform")>]
member RefreshTransform :
id : Guid *
[<FromBodyAttribute>] transformId : Guid *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- id
- Type: SystemGuid
The ID of the data cube to update the transform on. - transformId
- Type: SystemGuid
The ID of the transform to refresh. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
IActionResult
A
DataCubeData object containing the updated data cube data, or a status code indicating the problem.
See Also